Skip to content

Directory Management

Endpoints to manage the providers in the developer's directory. Retrieve the schedulable entities currently in your directory with availability information, or submit a list of NPIs to determine which of those providers are already schedulable.

Get schedulable entities

Request

Get the list of schedulable entities within the developer's Zocdoc directory (provider-locations, etc.) with availability information.

NPIs can be used to search for providers in the /v1/providers endpoint to facilitate availability, discovery, and booking. Schedulable entity ids can be used to find provider-locations in the /v1/provider_locations/{provider_location_id} endpoint to facilitate availability, discovery, and booking.

Developers can fetch the schedulable entities list and cache in their system. The available schedulable entities do not change frequently. Pulling this data once a week and/or after known directory change events should be sufficient. However, you may use the recent_changes_72hrs parameter and the recent_change_summary field to get the list of entities that have changed in the last 72 hours.

Security
ClientCredentialsFlow(Required scopes: external.schedulable_entity.read) or AuthorizationCodeFlow(Required scopes: external.schedulable_entity.read)
Query
pageinteger

The zero indexed page of results. A mimimum value of 0 will be accepted.

page_sizeinteger, [ 1 .. 10000 ]

The number of results to return per page. The default value is 5000. A mimimum value of 1 and a maximum of 10000 will be accepted.

schedule_typesstring

The comma-delimited list of schedule types to include. Will return all schedule types if not provided.

recent_changes_72hrsboolean

When true, only includes entities added or updated in the last 72 hours

curl -i -X GET \
  'https://api-developer-sandbox.zocdoc.com/v1/schedulable_entities?page=0&page_size=1&schedule_types=string&recent_changes_72hrs=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

pageintegerrequired

The zero based index of the current page.

page_sizeintegerrequired

The size of the current page.

total_countintegerrequired

The total number of result items.

next_urlstringrequired

A link to the next page of results; null if this is the last page of results.

dataobject(SchedulableEntitiesData)required
Response
{ "request_id": "string", "page": 0, "page_size": 0, "total_count": 0, "next_url": "string", "data": { "recent_change_summary": {}, "schedulable_entities": [] } }